Merci de cliquer ici si vous souhaitez vous inscrire sur le forum.

Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Tests PrimTux6 RPi
#51
Steph a écrit :« ./usr/bin/audacity » vers « /usr/bin/audacity.dpkg-new »
Rien que là, on voit qu'il y a problème !!! Je regarde çà.
Répondre
#52
Steph a acheté une rpi ! Il est des noootre ^.^
Répondre
#53
Bon, je pense que c'est l'archive sur le site qui était corrompue. Lorsque je l'ai téléchargée et que j'ai voulu la décompresser, j'ai eu un message d'archive corrompue.
Je l'ai réuploadée (les chemins sont bons dans le paquet).
Peux-tu vérifier après avoir retéléchargé ?

Citation :Il est des noootre
Il a eu son RPi comme les au-autres ! ^.^
Répondre
#54
Bonjour
Audacity fonctionne sur ma base open plotter ( telechargée avec ton script mercredi )
qui va l'installer sur un cotre :lol: !
Alain
Répondre
#55
Chose dont je viens de me rendre compte et c'est valable aussi pour la ptx classique, il faut supprimer snack-oss et installer snack-alsa pour avoir le son dans abuledu-associations. Alors autant sur le pc c'est très bien, autant sur le rpi en audio hdmi ça grésille sec, même en jouant sur le volume.
Répondre
#56
Pour audacity j'ai toujours la fenêtre d'erreur au démarrage, alors j'avais installé celle du dépôt Debian pour voir, je l'ai désinstallée, j'ai effacé le répertoire audacity-data du home puis j'ai installé ton paquet.
Répondre
#57
Aussi l'heure est en noir sous admin, alors qu'il est en blanc normalement.
Répondre
#58
Steph a écrit :Il y a des applis sans icones dans le me,us je ne sais pas à quoi elles correspondent...
Bon, j'ai eu du mal à trouver. Ce sont des entrées pour lancer des économiseurs d'écran.
Elles sont dans un dossier /usr/share/applications/screensavers que l'on peut supprimer. Mais il reste de sbinaires installés. ça serait mieux de les supprimer. Faudrait que je trouve d'où ça vient !
Je le jure, monsieur le juge, ça a été installé à l'insu de mon plein gré ! :lol:

Pour Audacity, j'ai déjà eu des trucs bizarres, mais là !
Le même paquet, installé depuis une clé USB, fonctionne correctement.
Uploadé sur primtux, puis téléchargé, fenêtre d'erreur au démarrage !!! :-{
Répondre
#59
Philippe Dpt35 a écrit :Pour Audacity, j'ai déjà eu des trucs bizarres, mais là !
Le même paquet, installé depuis une clé USB, fonctionne correctement.
Uploadé sur primtux, puis téléchargé, fenêtre d'erreur au démarrage !!! :-{

Après plusieurs tests de suppression-désinstallation, j'ai toujours le bug.
Je pense que parfois le bug ne se produit pas, ce qui a fait croire que le problème était résolu.
Je laisse tomber, on attendra que le problème soit résolu par l'équipe d'Audacity ou de Raspberry Pi OS !
Répondre
#60
Je vais essayer de le compiler comme j'ai fait pour la Debian... Si je me rappelle de la procédure...
Répondre
#61
J'ai fait la compilation de la 2.3.3. Donc je ne pense pas qu'à partir de cette même version ta compilation puisse changer quelque chose.
Peut-être faudrait-il tester à partir des sources d'une autre version.
Répondre
#62
Pour les économiseurs d'écran, c'est le paquet xscreensaver-data qui les installe.
Ils sont bien présents dans la PrimTux6 desktop. Ce qui différencie les paquets armhf et x86-amd64, ce sont les lanceurs .desktop, présents dans le paquet armhf, mais pas les autres.
Répondre
#63
Steph a écrit :Aussi l'heure est en noir sous admin, alors qu'il est en blanc normalement.
J'ai l'impression que l'apparence du lxpanel se fait à un autre niveau que le fichier de configuration du lxpanel.
J'ai beau essayer d'en changer les paramètres, en mode graphique ou directement dans le fichier de configuration, rien ne change.
Répondre
#64
Pour Audacity, la solution n'est pas à chercher du côté de la compilation. Le paquet par défaut du dépôt fonctionne correctement sur Raspberry Pi OS desktop.
Il y a certainement un conflit avec autre chose sur la PrimTux.
Répondre
#65
C'est le thème industrial qui est différent on dirait, et on peut bien changer la couleur dans le lxpanel mais ce n'est pas pris en compte, il faudrait comparer le /usr/share/themes/industrial... gtkrc avec celui de la version pc.
Répondre
#66
J'ai remplacé le gtkrc de la version RPi par celui de la version desktop. ça ne change rien.
Dans quel fichier est paramétré le choix du thème utilisé pour le lxpanel ?
Répondre
#67
C'est un fichier de config dans le home mais j'ai vérifié il est bien en fffff et ça n'est pas pris en compte.
Répondre
#68
Si tu changes de thème parfois c'est blanc.
Répondre
#69
Steph a écrit :C'est un fichier de config dans le home mais j'ai vérifié il est bien en fffff et ça n'est pas pris en compte.
Pour le fichier de configuration du lxpanel. C'est celui que j'avais déjà essayé de modifier sans succès.
Je parle du fichier de configuration qui paramètre le choix du thème industrial, ou un autre !
Répondre
#70
J'ai bien trouvé un ~/.config/gtk-3.0/settings.ini avec le thème Indistrial, mais si je change le thème, cela n'a aucun effet.
ça doit se faire à un autre niveau encore.
Répondre
#71
Tu le change avec lxappareance manuellement, sinon c'est le gtkrc-2.0 dans le home.
Répondre
#72
Bonjour
je viens de refaire une install de primtux à partir du script et raspios lite
Audacity ne fonctionne pas non plus alors que cela a fonctionné à partir de open plotter head less
Répondre
#73
Je n'arrive pas à le compiler, maintenant je ne me rappelle plus de la procédure utilisée pour la Debian... Rolleyes
Répondre
#74
Après recherches, le bug avec Audacity apparaît notamment avec fluxbox. C'est la raison pour laquelle il n'apparaît pas avec Raspberry Pi OS qui n'utilise pas fluxbox.
Pas d'issue trouvée jusqu'à présent.

Pour la compilation , j'avais utilisé les liens que tu m'avais donnés, Steph
http://forum.audacityteam.org/viewtopic....19&t=99301
https://forum.juce.com/t/juce-in-raspber...ed/41895/2

Mais j'ai dû modifier une ligne de commande car j'avais une erreur de compilation
Code :
../configure --with-lib-preference="local system" --with-ffmpeg="system" --disable-dynamic-loading --with-mod-script-pipe --disable-sse
make LDFLAGS=-latomic
Répondre
#75
J'ai mis sur Sourceforge une image de PrimTux6 RPi :
https://sourceforge.net/projects/primtux...z/download
MD5
https://sourceforge.net/projects/primtux...5/download

J'ai corrigé les problèmes de lanceurs soulevés par Steph.
Pour Audacity, je retenterai une compilation depuis les sources d'une autre version lorsque j'en aurai le temps. Une mise à jour des paquets suffira à corriger le problème si cette compilation est positive.
En attendant, j'ai fait en sorte qu'à l'ouverture d'Audacity, la fenêtre de signalement de bug ne soit pas cachée par la fenêtre de l'application pour éviter que l'on ne se trouve bloqué sans savoir quoi faire.

Je pense qu'on peut maintenant communiquer sur cette mise à disposition de la PrimTux6 RPi.
Mais avant, il serait peut-être bon que quelqu'un la télécharge et l'installe pour vérifier que l'image est OK, et nous le confirme ici !
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)